<?php
/**
 * @package Real Estate Valuation
 */

function real_estate_valuation_customizer_add_defaults( $default_options) {
	$defaults = array(
		'real_estate_valuation_excerpt_length'    => 30,
	);
	$updated_defaults = wp_parse_args( $defaults, $default_options );

	return $updated_defaults;
}
add_filter( 'real_estate_valuation_customizer_defaults', 'real_estate_valuation_customizer_add_defaults' );

function real_estate_valuation_gtm( $option ) {
	$defaults = apply_filters( 'real_estate_valuation_customizer_defaults', true );

	return isset( $defaults[ $option ] ) ? get_theme_mod( $option, $defaults[ $option ] ) : get_theme_mod( $option );
}

if ( ! function_exists( 'real_estate_valuation_excerpt_length' ) ) :
	function real_estate_valuation_excerpt_length( $length ) {
		if ( is_admin() ) {
			return $length;
		}

		$length	= real_estate_valuation_gtm( 'real_estate_valuation_excerpt_length' );

		return absint( $length );
	} 
endif;
add_filter( 'excerpt_length', 'real_estate_valuation_excerpt_length', 999 );